# ExchangeInject

Injects capital into the transaction. The purpose of injecting capital into the trading pair is to prevent price fluctuation from affecting the transaction.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String - Address of the transaction creator
* `exchange_id` - int32 - Transaction Pair ID
* `token_id` - String - Token ID; usually is the token name, which needs to be in hexString format
* `quant` - int32 - Number of capital injection tokens
* `permission_id` - int32 - Optional, for multi-signature use
* `visible` - boolean - Optional. Specifies whether the address is in Base58 format (default: false)

## **Returns**

Transaction object - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `ExchangeInjectContract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field          | Type   | Description                         |
| -------------- | ------ | ----------------------------------- |
| owner\_address | string | Account address                     |
| exchange\_id   | int64  | Exchange id                         |
| token\_id      | string | The id of the token to be injected  |
| quant          | int64  | The amount of tokens to be injected |

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/exchangeinject \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "exchange_id": 12,
  "token_id": "31303030343837",
  "quant": 100,
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/dex-exchange/exchangeinject.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
